com.sun.grid.jgdi.configuration

## Interface Binding

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    BindingImpl

      public interface Binding
      extends GEObject

  Java representation of the cull object BN_Type defined in sge_all_listsL.template

  Warning: The Binding class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `int` | `getParameterCoreOffset()` Get the value of the parameterCoreOffset attribute.
    `java.lang.String` | `getParameterExplicit()` Get the value of the parameterExplicit attribute.
    `int` | `getParameterN()` Get the value of the parameterN attribute.
    `int` | `getParameterSocketOffset()` Get the value of the parameterSocketOffset attribute.
    `int` | `getParameterStridingStepSize()` Get the value of the parameterStridingStepSize attribute.
    `java.lang.String` | `getStrategy()` Get the value of the strategy attribute.
    `int` | `getType()` Get the value of the type attribute.
    `boolean` | `isSetParameterCoreOffset()` Determine if any parameterCoreOffset attribute is set
    `boolean` | `isSetParameterExplicit()` Determine if any parameterExplicit attribute is set
    `boolean` | `isSetParameterN()` Determine if any parameterN attribute is set
    `boolean` | `isSetParameterSocketOffset()` Determine if any parameterSocketOffset attribute is set
    `boolean` | `isSetParameterStridingStepSize()` Determine if any parameterStridingStepSize attribute is set
    `boolean` | `isSetStrategy()` Determine if any strategy attribute is set
    `boolean` | `isSetType()` Determine if any type attribute is set
    `void` | `setParameterCoreOffset(int aParameterCoreOffset)` Set the parameterCoreOffset attribute.
    `void` | `setParameterExplicit(java.lang.String aParameterExplicit)` Set the parameterExplicit attribute.
    `void` | `setParameterN(int aParameterN)` Set the parameterN attribute.
    `void` | `setParameterSocketOffset(int aParameterSocketOffset)` Set the parameterSocketOffset attribute.
    `void` | `setParameterStridingStepSize(int aParameterStridingStepSize)` Set the parameterStridingStepSize attribute.
    `void` | `setStrategy(java.lang.String aStrategy)` Set the strategy attribute.
    `void` | `setType(int aType)` Set the type attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getName, getParent`

- - ### Method Detail

    - #### setStrategy

          void setStrategy(java.lang.String aStrategy)

      Set the strategy attribute.
      Parameters:
        `aStrategy` - the new value for the strategy attribute

    - #### getStrategy

          java.lang.String getStrategy()

      Get the value of the strategy attribute.
      Returns:
        the value of the strategy attribute

    - #### isSetStrategy

          boolean isSetStrategy()

      Determine if any strategy attribute is set
      Returns:
        `true` if the strategy attribute is set

    - #### setType

          void setType(int aType)

      Set the type attribute.
      Parameters:
        `aType` - the new value for the type attribute

    - #### getType

          int getType()

      Get the value of the type attribute.
      Returns:
        the value of the type attribute

    - #### isSetType

          boolean isSetType()

      Determine if any type attribute is set
      Returns:
        `true` if the type attribute is set

    - #### setParameterN

          void setParameterN(int aParameterN)

      Set the parameterN attribute.
      Parameters:
        `aParameterN` - the new value for the parameterN attribute

    - #### getParameterN

          int getParameterN()

      Get the value of the parameterN attribute.
      Returns:
        the value of the parameterN attribute

    - #### isSetParameterN

          boolean isSetParameterN()

      Determine if any parameterN attribute is set
      Returns:
        `true` if the parameterN attribute is set

    - #### setParameterSocketOffset

          void setParameterSocketOffset(int aParameterSocketOffset)

      Set the parameterSocketOffset attribute.
      Parameters:
        `aParameterSocketOffset` - the new value for the parameterSocketOffset attribute

    - #### getParameterSocketOffset

          int getParameterSocketOffset()

      Get the value of the parameterSocketOffset attribute.
      Returns:
        the value of the parameterSocketOffset attribute

    - #### isSetParameterSocketOffset

          boolean isSetParameterSocketOffset()

      Determine if any parameterSocketOffset attribute is set
      Returns:
        `true` if the parameterSocketOffset attribute is set

    - #### setParameterCoreOffset

          void setParameterCoreOffset(int aParameterCoreOffset)

      Set the parameterCoreOffset attribute.
      Parameters:
        `aParameterCoreOffset` - the new value for the parameterCoreOffset attribute

    - #### getParameterCoreOffset

          int getParameterCoreOffset()

      Get the value of the parameterCoreOffset attribute.
      Returns:
        the value of the parameterCoreOffset attribute

    - #### isSetParameterCoreOffset

          boolean isSetParameterCoreOffset()

      Determine if any parameterCoreOffset attribute is set
      Returns:
        `true` if the parameterCoreOffset attribute is set

    - #### setParameterStridingStepSize

          void setParameterStridingStepSize(int aParameterStridingStepSize)

      Set the parameterStridingStepSize attribute.
      Parameters:
        `aParameterStridingStepSize` - the new value for the parameterStridingStepSize attribute

    - #### getParameterStridingStepSize

          int getParameterStridingStepSize()

      Get the value of the parameterStridingStepSize attribute.
      Returns:
        the value of the parameterStridingStepSize attribute

    - #### isSetParameterStridingStepSize

          boolean isSetParameterStridingStepSize()

      Determine if any parameterStridingStepSize attribute is set
      Returns:
        `true` if the parameterStridingStepSize attribute is set

    - #### setParameterExplicit

          void setParameterExplicit(java.lang.String aParameterExplicit)

      Set the parameterExplicit attribute.
      Parameters:
        `aParameterExplicit` - the new value for the parameterExplicit attribute

    - #### getParameterExplicit

          java.lang.String getParameterExplicit()

      Get the value of the parameterExplicit attribute.
      Returns:
        the value of the parameterExplicit attribute

    - #### isSetParameterExplicit

          boolean isSetParameterExplicit()

      Determine if any parameterExplicit attribute is set
      Returns:
        `true` if the parameterExplicit attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.